ALAS-2021-1510


Amazon Linux AMI Security Advisory: ALAS-2021-1510
Advisory Release Date: 2021-07-08 18:38 Pacific
Advisory Updated Date: 2021-07-12 21:48 Pacific
Severity: Important
References: CVE-2021-25217 

Issue Overview:

A flaw was found in the Dynamic Host Configuration Protocol (DHCP). There is a discrepancy between the code that handles encapsulated option information in leases transmitted "on the wire" and the code which reads and parses lease information after it has been written to disk storage. This flaw allows an attacker to deliberately cause a situation where dhcpd while running in DHCPv4 or DHCPv6 mode, or the dhclient attempts to read a stored lease that contains option information, to trigger a stack-based buffer overflow in the option parsing code for colon-separated hex digits values. The highest threat from this vulnerability is to data confidentiality and integrity as well as service availability. (CVE-2021-25217)


Affected Packages:

dhcp


Issue Correction:
Run yum update dhcp to update your system.

New Packages:
i686:
    dhclient-4.1.1-53.P1.29.amzn1.i686
    dhcp-4.1.1-53.P1.29.amzn1.i686
    dhcp-devel-4.1.1-53.P1.29.amzn1.i686
    dhcp-debuginfo-4.1.1-53.P1.29.amzn1.i686
    dhcp-common-4.1.1-53.P1.29.amzn1.i686

src:
    dhcp-4.1.1-53.P1.29.amzn1.src

x86_64:
    dhcp-4.1.1-53.P1.29.amzn1.x86_64
    dhclient-4.1.1-53.P1.29.amzn1.x86_64
    dhcp-devel-4.1.1-53.P1.29.amzn1.x86_64
    dhcp-common-4.1.1-53.P1.29.amzn1.x86_64
    dhcp-debuginfo-4.1.1-53.P1.29.amzn1.x86_64